<?php

/* ========================================================================
 * $Id: pc.php 927 2020-06-27 16:46:27Z onez $
 * 
 * Email: www@onez.cn
 * QQ: 6200103
 * HomePage: http://www.onez.cn
 * ========================================================================
 * Copyright 2016-2017 佳蓝科技.
 * 
 * ======================================================================== */

!defined('IN_ONEZ') && exit('Access Denied');
$tpl=$this->get('tpl');
$app=$this->get('app');
?>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7">
<title><?php echo $G['title']?></title>
<meta name="keywords" content="<?php echo $G['keywords']?>">
<meta name="description" content="<?php echo $G['description']?>">
<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no, shrink-to-fit=no" name="viewport">
<?php $rootLen=strlen(ONEZ_ROOT);
foreach($this->cssList as $v){
  echo "\n".onez('ui')->css($v);
}
onez('layui')->head();
echo $G['header'];
?>
</head>
<body class="<?php echo $this->get('body-class')?>">
<?php 
echo '<div id="app"></div>';
foreach($this->jsList as $v){
  echo "\n".onez('ui')->js($v);
}
echo $G['footer'];
?>
<script type="text/javascript">
<?php echo $G['footer-js'];?>
onez.tpl='<?php echo $tpl||$app?'app':''?>';
onez.run();
</script>
</body>
</html>
